#include <SPI.h>        //SPI library for communicate with the nRF24L01+
#include "RF24.h"       //The main library of the nRF24L01+

RF24 radio(7, 8);

//IR sensor
int irSensor = 2;

//Create a pipe addresses for  communication
const uint64_t pipe = 0xE8E8F0F0E1LL;

void setup() {
  Serial.begin(9600);
  radio.begin();                 //Start the nRF24 communicate
  radio.openWritingPipe(pipe);   //Sets the address of the receiver to which the program will send data.
}

void loop() {

  int readingSensor = digitalRead(irSensor);
  radio.write(&readingSensor, sizeof(readingSensor));
  Serial.println(readingSensor);
  delay(1000);
}
